﻿<%@ WebHandler Language="C#" Class="GetStoryListJsonHandler" %>
using System;
using System.Net.Mime;
using System.Web;
using System.Collections.Generic;
using System.Web.Script.Serialization;
public class GetStoryListJsonHandler : IHttpHandler
{
    public void ProcessRequest(HttpContext context)
    {
        context.Response.ContentType = "application/json";
        List<TheTreeNode> d = null;
        TreeService service = new TreeService();
        if (context.Request["root"] == "source")
            d = service.GetStoryCategories();
        else
            d = service.GetStorySubCategories();
        Data = new {d};
        if (Data != null)
        {
            // The JavaScriptSerializer type was marked as obsolete 
            // prior to .NET Framework 3.5 SP1
            JavaScriptSerializer serializer = new JavaScriptSerializer();
            context.Response.Write(serializer.Serialize(Data));
        }
    }
    public object Data
    {
        get;
        set;
    }

    public bool IsReusable
    {
        get
        {
            return false;
        }
    }

}